Tag Parser: TagParser::Id3v2FrameMaker Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
TagParser::Id3v2FrameMaker Class Reference

The Id3v2FrameMaker class helps making ID3v2 frames. More...

`#include <id3v2frame.h>`

## Public Member Functions
void | make (CppUtilities::BinaryWriter &writer)
| Saves the frame (specified when constructing the object) using the specified writer.
const Id3v2Frame & | field () const
| Returns the associated frame.
const std::unique_ptr< char[]> & | data () const
| Returns the frame data.
std::uint32_t | dataSize () const
| Returns the size of the array returned by data().
std::uint32_t | requiredSize () const
| Returns number of bytes which will be written when making the frame.

## Friends
class | Id3v2Frame

## Detailed Description

The Id3v2FrameMaker class helps making ID3v2 frames.

It allows to calculate the required size.

See also
  See Id3v2FrameMaker::prepareMaking() for more information.

Definition at line 22 of file id3v2frame.h.

## Member Function Documentation

## ◆ data()

const std::unique_ptr< char[]> & TagParser::Id3v2FrameMaker::data | ( |  | ) | const
| inline

Returns the frame data.

Definition at line 56 of file id3v2frame.h.

## ◆ dataSize()

std::uint32_t TagParser::Id3v2FrameMaker::dataSize | ( |  | ) | const
| inline

Returns the size of the array returned by data().

Definition at line 64 of file id3v2frame.h.

## ◆ field()

const Id3v2Frame & TagParser::Id3v2FrameMaker::field | ( |  | ) | const
| inline

Returns the associated frame.

Definition at line 48 of file id3v2frame.h.

## ◆ make()

void TagParser::Id3v2FrameMaker::make | ( | CppUtilities::BinaryWriter & | writer | ) |

Saves the frame (specified when constructing the object) using the specified writer.

Exceptions

  Throws | std::ios_base::failure when an IO error occurs.
  Throws | Assumes the data is already validated and thus does NOT throw TagParser::Failure or a derived exception.

Definition at line 834 of file id3v2frame.cpp.

## ◆ requiredSize()

std::uint32_t TagParser::Id3v2FrameMaker::requiredSize | ( |  | ) | const
| inline

Returns number of bytes which will be written when making the frame.

Definition at line 72 of file id3v2frame.h.

## Friends And Related Symbol Documentation

## ◆ Id3v2Frame

friend class Id3v2Frame
| friend

Definition at line 23 of file id3v2frame.h.

The documentation for this class was generated from the following files:

- id3/id3v2frame.h
- id3/id3v2frame.cpp